Bug 743023 - augtool --autosave does not save changes
augtool --autosave does not save changes
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: augeas (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lutterkort
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 759311
  Show dependency treegraph
 
Reported: 2011-10-03 11:46 EDT by Daniel Berrange
Modified: 2013-04-30 19:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 759311 (view as bug list)
Environment:
Last Closed: 2011-12-01 18:47:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2011-10-03 11:46:07 EDT
Description of problem:
Changes to files can only be saved when in interactive mode, not using '--autosave' from batch mode

# augtool --autosave set /files/etc/libvirt/qemu.conf/security_driver "selinux"
# augtool print /files/etc/libvirt/qemu.conf/security_driver
/files/etc/libvirt/qemu.conf/security_driver = "none"
# augtool 
augtool> set /files/etc/libvirt/qemu.conf/security_driver "selinux"
augtool> save
Saved 1 file(s)
augtool> 
# augtool print /files/etc/libvirt/qemu.conf/security_driver
/files/etc/libvirt/qemu.conf/security_driver = "selinux"

Version-Release number of selected component (if applicable):
augeas-0.9.0-1.fc15.x86_64

How reproducible:
Always

Steps to Reproduce:
1. See above
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 David Lutterkort 2011-12-01 18:47:50 EST
This was fixed upstream with commit f4c2d18a and will be available in the next release (> 0.9.0)

Note You need to log in before you can comment on or make changes to this bug.